---
# Install cme / CrackMapExec (https://github.com/byt3bl33d3r/CrackMapExec)

# become: False
- name: Checkout CrackMapExec source
  git:
    repo: "{{ CME_GIT_URL}}"
    dest: "{{ CME_INSTALL_DIR }}"
    update: True
    force: True
    version: "{{ CME_INSTALL_BRANCH }}"

- name: Find pipx
  become: False
  command:
    cmd: which pipx
  register: which_pipx
  changed_when: False

# Install cme, which should end up in PATH
- name: Install CrackMapExec
  community.general.pipx:
    name: crackmapexec
    source: "{{ CME_INSTALL_DIR }}"
    executable: "{{ which_pipx.stdout }}"
    force: True
    # include nice things like impacket
    install_deps: True

